#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Full license can be found in License.md
# Full author list can be found in .zenodo.json file
# DOI:10.5281/zenodo.3986131
#
# DISTRIBUTION STATEMENT A: Approved for public release. Distribution is
# unlimited.
# ----------------------------------------------------------------------------
"""Provides non-instrument specific routines for ISS data."""

ackn_str = ' '.join(("R.M. Suggs, S.L. Koontz, NASA Johnson Space Center",
                     "Contact Rob Suggs for support and use.",
                     "Rob.Suggs@nasa.gov. Please acknowledge the data",
                     "providers and CDAWeb when using these data."))

refs = {'fpmu': ' '.join(('V. N. Coffey et al., "Validation of the Plasma',
                          'Densities and Temperatures From the ISS Floating',
                          'Potential Measurement Unit," in IEEE Transactions',
                          'on Plasma Science, vol. 36, no. 5, pp. 2301-2308,',
                          'Oct. 2008, doi: 10.1109/TPS.2008.2004271.',
                          '\n',
                          'A. Barjatya, C.M. Swenson, D.C. Thompson, and K.H.',
                          'Wright Jr., Data analysis of the Floating Potential',
                          'Measurement Unit aboard the International Space',
                          'Station, Rev. Sci. Instrum. 80, 041301 (2009),',
                          'https://doi.org/10.1063/1.3116085',
                          '\n',
                          'Debchoudhury, S., Barjatya, A., Minow, J. I.,',
                          'Coffey, V. N., & Chandler, M. O. (2021).',
                          'Observations and validation of plasma density,',
                          'temperature, and O+ abundance from a Langmuir',
                          'probe onboard the International Space Station.',
                          'Journal of Geophysical Research: Space',
                          'Physics, 126, e2021JA029393.',
                          'https://doi.org/10.1029/2021JA029393'))
        }
